import { VM } from './VM'; 
import { createConnection, getConnection } from './connectionHelpers';

const StackBlitzSDK = {
  connect: (frameEl: HTMLIFrameElement) => {
    // TODO: Validate whether this is a legit iframe on the page. Return Promise.reject if not.
    // First check if there's already a connection for this iframe
    const currentConnection = getConnection(frameEl);

    // If no active connection, create one.
    if (!currentConnection) {
      const connection = createConnection(frameEl);
      return connection.pending;
    // If there IS an active connection, return the current connection instance.
    // Unless it's pending
    } else {
      return currentConnection.pending;
    }

  }
}


export default StackBlitzSDK;
